# $Revision: 1.8 $, $Date: 2011/07/05 16:33:38 $
Summary:	Qhull - convex hulls, triangulations and related computations
Summary(pl.UTF-8):	Qhull - obliczanie powłok wypukłych, triangulacji i powiązanych rzeczy
Name:		qhull
Version:	2011.1
Release:	1
License:	distributable (see COPYING.txt)
Group:		Libraries
Source0:	http://www.qhull.org/download/%{name}-%{version}-src.tgz
# Source0-md5:	a65061cf2a6e6581182f4df0f3667a8e
Patch0:		%{name}-cmake.patch
URL:		http://www.qhull.org/
BuildRequires:	cmake >= 2.6
BuildRequires:	rpmbuild(macros) >= 1.603
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Qhull computes convex hulls, Delaunay triangulations, Voronoi
diagrams, furthest-site Voronoi diagrams, and halfspace intersections
about a point. It runs in 2-d, 3-d, 4-d, or higher. It implements the
Quickhull algorithm for computing convex hulls. Qhull handles
round-off errors from floating point arithmetic. It can approximate a
convex hull.

%description -l pl.UTF-8
Qhull oblicza powłoki wypukłe, triangulacje Delaunaya, diagramy
Voronoi, diagramy Voronoi większych rzędów oraz przecięcia
półprzestrzeni. Działa w przestrzeniach dwu, trzy, cztero i więcej
wymiarowych. Ma zaimplementowany algorytm Quickhull do obliczania
powłok wypukłych. Obsługuje błędy zaokrągleń wynikłe z arytmetyki
zmiennoprzecinkowej. Może aproksymować powłoki wypukłe.

%package devel
Summary:	Header files for Qhull library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki Qhull
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for Qhull library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki Qhull.

%package static
Summary:	Static Qhull library
Summary(pl.UTF-8):	Statyczna biblioteka Qhull
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Qhull library.

%description static -l pl.UTF-8
Statyczna biblioteka Qhull.

%package c++
Summary:	QhullCPP library
Summary(pl.UTF-8):	Biblioteka QhullCPP
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description c++
QhullCPP library.

%description c++ -l pl.UTF-8
Biblioteka QhullCPP.

%package c++-devel
Summary:	Header files for QhullCPP library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki QhullCPP
Group:		Development/Libraries
Requires:	%{name}-c++ = %{version}-%{release}
Requires:	%{name}-devel = %{version}-%{release}
Requires:	libstdc++-devel

%description c++-devel
Header files for QhullCPP library.

%description c++-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki QhullCPP.

%package c++-static
Summary:	Static QhullCPP library
Summary(pl.UTF-8):	Statyczna biblioteka QhullCPP
Group:		Development/Libraries
Requires:	%{name}-c++-devel = %{version}-%{release}

%description c++-static
Static QhullCPP library.

%description c++-static -l pl.UTF-8
Statyczna biblioteka QhullCPP.

%prep
%setup -q
%patch0 -p1

%build
%cmake . \
	-DMAN_INSTALL_DIR=%{_mandir}/man1
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/packages
%{__rm} $RPM_BUILD_ROOT%{_bindir}/user_eg*

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc Announce.txt COPYING.txt README.txt REGISTER.txt index.htm
%attr(755,root,root) %{_bindir}/qconvex
%attr(755,root,root) %{_bindir}/qdelaunay
%attr(755,root,root) %{_bindir}/qhalf
%attr(755,root,root) %{_bindir}/qhull
%attr(755,root,root) %{_bindir}/qvoronoi
%attr(755,root,root) %{_bindir}/rbox
%attr(755,root,root) %{_libdir}/libqhull.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libqhull.so.6
%{_mandir}/man1/qhull.1*
%{_mandir}/man1/rbox.1*

%files devel
%defattr(644,root,root,755)
%doc html/*.{htm,gif}
%attr(755,root,root) %{_libdir}/libqhull.so
%{_includedir}/libqhull

%files static
%defattr(644,root,root,755)
%{_libdir}/libqhullstatic.a
%{_libdir}/libqhullstatic_p.a

%files c++
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libqhullcpp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libqhullcpp.so.6

%files c++-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libqhullcpp.so
%{_includedir}/libqhullcpp
%{_includedir}/road

%files c++-static
%defattr(644,root,root,755)
%{_libdir}/libqhullcppstatic.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: qhull.spec,v $
Revision 1.8  2011/07/05 16:33:38  qboosh
- They(TM) changed tarball without version change; updated md5 and cmake patch

Revision 1.7  2011/07/04 19:19:02  qboosh
- updated to 2011.1 (note: new sonames)
- autotools support is gone, switched to messy cmake; removed update patch, added cmake patch instead
- added c++ subpackages with libqhullcpp

Revision 1.6  2010/10/16 17:24:46  qboosh
- updated to 2010.1
- added update patch to update ac/am suite (included Makefile/cmake/qt suites don't support shared library)

Revision 1.5  2007/09/05 14:25:53  baggins
- rel 2

Revision 1.4  2007/02/13 08:06:43  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:29  baggins
- converted to UTF-8

Revision 1.2  2006/05/10 11:41:24  darekr
- BR perl-base

Revision 1.1  2004/01/01 11:36:32  qboosh
- new
